org.jbpm.process

## Class StatefulProcessSession

- java.lang.Object
- - org.drools.core.impl.AbstractRuntime
  - - org.jbpm.process.StatefulProcessSession

- All Implemented Interfaces:
    org.drools.core.common.InternalKnowledgeRuntime, org.kie.api.event.KieRuntimeEventManager, org.kie.api.event.process.ProcessEventManager, org.kie.api.event.rule.RuleRuntimeEventManager, org.kie.api.runtime.CommandExecutor, org.kie.api.runtime.KieRuntime, org.kie.api.runtime.KieSession, org.kie.api.runtime.process.ProcessRuntime, org.kie.api.runtime.process.StatefulProcessSession, org.kie.api.runtime.rule.EntryPoint, org.kie.api.runtime.rule.RuleRuntime, org.kie.api.runtime.rule.StatefulRuleSession, org.kie.internal.event.KnowledgeRuntimeEventManager, org.kie.internal.process.CorrelationAwareProcessRuntime, org.kie.internal.runtime.KnowledgeRuntime, org.kie.internal.runtime.StatefulKnowledgeSession

      public class StatefulProcessSession
      extends org.drools.core.impl.AbstractRuntime
      implements org.kie.internal.runtime.StatefulKnowledgeSession, org.drools.core.common.InternalKnowledgeRuntime, org.kie.internal.process.CorrelationAwareProcessRuntime

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Queue<org.drools.core.common.WorkingMemoryAction>` | `actionQueue`

    - ### Fields inherited from class org.drools.core.impl.AbstractRuntime

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatefulProcessSession(org.kie.internal.KnowledgeBase kbase, org.kie.api.runtime.KieSessionConfiguration sessionConfiguration, org.kie.api.runtime.Environment environment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortProcessInstance(long processInstanceId)`
    `void` | `addEventListener(org.kie.api.event.rule.AgendaEventListener listener)`
    `void` | `addEventListener(org.kie.api.event.process.ProcessEventListener listener)`
    `void` | `addEventListener(org.kie.api.event.rule.RuleRuntimeEventListener listener)`
    `org.kie.api.runtime.process.ProcessInstance` | `createProcessInstance(String processId, org.kie.internal.process.CorrelationKey correlationKey, Map<String,Object> parameters)`
    `org.kie.api.runtime.process.ProcessInstance` | `createProcessInstance(String processId, Map<String,Object> parameters)`
    `void` | `delete(org.kie.api.runtime.rule.FactHandle handle)`
    `void` | `delete(org.kie.api.runtime.rule.FactHandle handle, org.kie.api.runtime.rule.FactHandle.State fhState)`
    `void` | `destroy()`
    `void` | `dispose()`
    `void` | `endOperation()`
    `<T> T` | `execute(org.kie.api.command.Command<T> command)`
    `void` | `executeQueuedActions()`
    `int` | `fireAllRules()`
    `int` | `fireAllRules(org.kie.api.runtime.rule.AgendaFilter agendaFilter)`
    `int` | `fireAllRules(org.kie.api.runtime.rule.AgendaFilter agendaFilter, int i)`
    `int` | `fireAllRules(int max)`
    `void` | `fireUntilHalt()`
    `void` | `fireUntilHalt(org.kie.api.runtime.rule.AgendaFilter agendaFilter)`
    `Queue<org.drools.core.common.WorkingMemoryAction>` | `getActionQueue()`
    `org.kie.api.runtime.rule.Agenda` | `getAgenda()`
    `Collection<org.kie.api.event.rule.AgendaEventListener>` | `getAgendaEventListeners()`
    `org.kie.api.runtime.Calendars` | `getCalendars()`
    `Map<String,org.kie.api.runtime.Channel>` | `getChannels()`
    `org.kie.api.runtime.rule.EntryPoint` | `getEntryPoint(String name)`
    `String` | `getEntryPointId()`
    `Collection<? extends org.kie.api.runtime.rule.EntryPoint>` | `getEntryPoints()`
    `org.kie.api.runtime.Environment` | `getEnvironment()`
    `long` | `getFactCount()`
    `org.kie.api.runtime.rule.FactHandle` | `getFactHandle(Object object)`
    `<T extends org.kie.api.runtime.rule.FactHandle> Collection<T>` | `getFactHandles()`
    `<T extends org.kie.api.runtime.rule.FactHandle> Collection<T>` | `getFactHandles(org.kie.api.runtime.ObjectFilter filter)`
    `Object` | `getGlobal(String identifier)`
    `org.kie.api.runtime.Globals` | `getGlobals()`
    `int` | `getId()`
    `long` | `getIdentifier()`
    `org.kie.internal.KnowledgeBase` | `getKieBase()`
    `long` | `getLastIdleTimestamp()`
    `Object` | `getObject(org.kie.api.runtime.rule.FactHandle factHandle)`
    `Collection<Object>` | `getObjects()`
    `Collection<Object>` | `getObjects(org.kie.api.runtime.ObjectFilter filter)`
    `Collection<org.kie.api.event.process.ProcessEventListener>` | `getProcessEventListeners()`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(long processInstanceId)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(long processInstanceId, boolean readonly)`
    `Collection<org.kie.api.runtime.process.ProcessInstance>` | `getProcessInstances()`
    `InternalProcessRuntime` | `getProcessRuntime()`
    `org.kie.api.runtime.rule.QueryResults` | `getQueryResults(String query, Object... arguments)`
    `Collection<org.kie.api.event.rule.RuleRuntimeEventListener>` | `getRuleRuntimeEventListeners()`
    `org.kie.api.time.SessionClock` | `getSessionClock()`
    `org.kie.api.runtime.KieSessionConfiguration` | `getSessionConfiguration()`
    `org.drools.core.time.TimerService` | `getTimerService()`
    `org.kie.api.runtime.process.WorkItemManager` | `getWorkItemManager()`
    `void` | `halt()`
    `org.kie.api.runtime.rule.FactHandle` | `insert(Object object)`
    `org.kie.api.runtime.rule.LiveQuery` | `openLiveQuery(String query, Object[] arguments, org.kie.api.runtime.rule.ViewChangedEventListener listener)`
    `void` | `queueWorkingMemoryAction(org.drools.core.common.WorkingMemoryAction action)`
    `void` | `registerChannel(String name, org.kie.api.runtime.Channel channel)`
    `void` | `removeEventListener(org.kie.api.event.rule.AgendaEventListener listener)`
    `void` | `removeEventListener(org.kie.api.event.process.ProcessEventListener listener)`
    `void` | `removeEventListener(org.kie.api.event.rule.RuleRuntimeEventListener listener)`
    `void` | `retract(org.kie.api.runtime.rule.FactHandle handle)`
    `void` | `setEndOperationListener(org.drools.core.common.EndOperationListener listener)`
    `void` | `setGlobal(String identifier, Object object)`
    `void` | `setIdentifier(long id)`
    `void` | `signalEvent(String type, Object event)`
    `void` | `signalEvent(String type, Object event, long processInstanceId)`
    `void` | `startOperation()`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, org.kie.internal.process.CorrelationKey correlationKey, Map<String,Object> parameters)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, Map<String,Object> parameters)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcessInstance(long processInstanceId)`
    `void` | `unregisterChannel(String name)`
    `void` | `update(org.kie.api.runtime.rule.FactHandle handle, Object object)`

    - ### Methods inherited from class org.drools.core.impl.AbstractRuntime

      `getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionQueue

          protected Queue<org.drools.core.common.WorkingMemoryAction> actionQueue

  - ### Constructor Detail

    - #### StatefulProcessSession

          public StatefulProcessSession(org.kie.internal.KnowledgeBase kbase,
                                        org.kie.api.runtime.KieSessionConfiguration sessionConfiguration,
                                        org.kie.api.runtime.Environment environment)

  - ### Method Detail

    - #### abortProcessInstance

          public void abortProcessInstance(long processInstanceId)

      Specified by:
        `abortProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(long processInstanceId)

      Specified by:
        `getProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(long processInstanceId,
                                                                                boolean readonly)

      Specified by:
        `getProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getProcessInstances

          public Collection<org.kie.api.runtime.process.ProcessInstance> getProcessInstances()

      Specified by:
        `getProcessInstances` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event,
                                  long processInstanceId)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId)

      Specified by:
        `startProcess` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          Map<String,Object> parameters)

      Specified by:
        `startProcess` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### createProcessInstance

          public org.kie.api.runtime.process.ProcessInstance createProcessInstance(String processId,
                                                                                   Map<String,Object> parameters)

      Specified by:
        `createProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcessInstance

          public org.kie.api.runtime.process.ProcessInstance startProcessInstance(long processInstanceId)

      Specified by:
        `startProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### addEventListener

          public void addEventListener(org.kie.api.event.process.ProcessEventListener listener)

      Specified by:
        `addEventListener` in interface `org.kie.api.event.process.ProcessEventManager`

    - #### getProcessEventListeners

          public Collection<org.kie.api.event.process.ProcessEventListener> getProcessEventListeners()

      Specified by:
        `getProcessEventListeners` in interface `org.kie.api.event.process.ProcessEventManager`

    - #### removeEventListener

          public void removeEventListener(org.kie.api.event.process.ProcessEventListener listener)

      Specified by:
        `removeEventListener` in interface `org.kie.api.event.process.ProcessEventManager`

    - #### getKieBase

          public org.kie.internal.KnowledgeBase getKieBase()

      Specified by:
        `getKieBase` in interface `org.kie.api.runtime.KieRuntime`
      Specified by:
        `getKieBase` in interface `org.kie.internal.runtime.StatefulKnowledgeSession`

    - #### getWorkItemManager

          public org.kie.api.runtime.process.WorkItemManager getWorkItemManager()

      Specified by:
        `getWorkItemManager` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getEnvironment

          public org.kie.api.runtime.Environment getEnvironment()

      Specified by:
        `getEnvironment` in interface `org.kie.api.runtime.KieRuntime`

    - #### getProcessRuntime

          public InternalProcessRuntime getProcessRuntime()

      Specified by:
        `getProcessRuntime` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### getSessionConfiguration

          public org.kie.api.runtime.KieSessionConfiguration getSessionConfiguration()

      Specified by:
        `getSessionConfiguration` in interface `org.kie.api.runtime.KieRuntime`

    - #### getTimerService

          public org.drools.core.time.TimerService getTimerService()

      Specified by:
        `getTimerService` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### startOperation

          public void startOperation()

      Specified by:
        `startOperation` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### endOperation

          public void endOperation()

      Specified by:
        `endOperation` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### executeQueuedActions

          public void executeQueuedActions()

      Specified by:
        `executeQueuedActions` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### getActionQueue

          public Queue<org.drools.core.common.WorkingMemoryAction> getActionQueue()

    - #### queueWorkingMemoryAction

          public void queueWorkingMemoryAction(org.drools.core.common.WorkingMemoryAction action)

      Specified by:
        `queueWorkingMemoryAction` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.kie.api.runtime.KieSession`

    - #### setIdentifier

          public void setIdentifier(long id)

      Specified by:
        `setIdentifier` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### getIdentifier

          public long getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.kie.api.runtime.KieSession`

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `org.kie.api.runtime.KieSession`

    - #### setEndOperationListener

          public void setEndOperationListener(org.drools.core.common.EndOperationListener listener)

      Specified by:
        `setEndOperationListener` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### fireAllRules

          public int fireAllRules()

      Specified by:
        `fireAllRules` in interface `org.kie.api.runtime.rule.StatefulRuleSession`

    - #### fireAllRules

          public int fireAllRules(int max)

      Specified by:
        `fireAllRules` in interface `org.kie.api.runtime.rule.StatefulRuleSession`

    - #### fireAllRules

          public int fireAllRules(org.kie.api.runtime.rule.AgendaFilter agendaFilter)

      Specified by:
        `fireAllRules` in interface `org.kie.api.runtime.rule.StatefulRuleSession`

    - #### fireAllRules

          public int fireAllRules(org.kie.api.runtime.rule.AgendaFilter agendaFilter,
                                  int i)

      Specified by:
        `fireAllRules` in interface `org.kie.api.runtime.rule.StatefulRuleSession`

    - #### fireUntilHalt

          public void fireUntilHalt()

      Specified by:
        `fireUntilHalt` in interface `org.kie.api.runtime.rule.StatefulRuleSession`

    - #### fireUntilHalt

          public void fireUntilHalt(org.kie.api.runtime.rule.AgendaFilter agendaFilter)

      Specified by:
        `fireUntilHalt` in interface `org.kie.api.runtime.rule.StatefulRuleSession`

    - #### execute

          public <T> T execute(org.kie.api.command.Command<T> command)

      Specified by:
        `execute` in interface `org.kie.api.runtime.CommandExecutor`

    - #### getCalendars

          public org.kie.api.runtime.Calendars getCalendars()

      Specified by:
        `getCalendars` in interface `org.kie.api.runtime.KieRuntime`

    - #### getChannels

          public Map<String,org.kie.api.runtime.Channel> getChannels()

      Specified by:
        `getChannels` in interface `org.kie.api.runtime.KieRuntime`

    - #### getGlobal

          public Object getGlobal(String identifier)

      Specified by:
        `getGlobal` in interface `org.kie.api.runtime.KieRuntime`

    - #### getGlobals

          public org.kie.api.runtime.Globals getGlobals()

      Specified by:
        `getGlobals` in interface `org.kie.api.runtime.KieRuntime`

    - #### getSessionClock

          public org.kie.api.time.SessionClock getSessionClock()

      Specified by:
        `getSessionClock` in interface `org.kie.api.runtime.KieRuntime`

    - #### registerChannel

          public void registerChannel(String name,
                                      org.kie.api.runtime.Channel channel)

      Specified by:
        `registerChannel` in interface `org.kie.api.runtime.KieRuntime`

    - #### setGlobal

          public void setGlobal(String identifier,
                                Object object)

      Specified by:
        `setGlobal` in interface `org.kie.api.runtime.KieRuntime`

    - #### unregisterChannel

          public void unregisterChannel(String name)

      Specified by:
        `unregisterChannel` in interface `org.kie.api.runtime.KieRuntime`

    - #### getAgenda

          public org.kie.api.runtime.rule.Agenda getAgenda()

      Specified by:
        `getAgenda` in interface `org.kie.api.runtime.rule.RuleRuntime`

    - #### getQueryResults

          public org.kie.api.runtime.rule.QueryResults getQueryResults(String query,
                                                                       Object... arguments)

      Specified by:
        `getQueryResults` in interface `org.kie.api.runtime.rule.RuleRuntime`

    - #### getEntryPoint

          public org.kie.api.runtime.rule.EntryPoint getEntryPoint(String name)

      Specified by:
        `getEntryPoint` in interface `org.kie.api.runtime.rule.RuleRuntime`

    - #### getEntryPoints

          public Collection<? extends org.kie.api.runtime.rule.EntryPoint> getEntryPoints()

      Specified by:
        `getEntryPoints` in interface `org.kie.api.runtime.rule.RuleRuntime`

    - #### halt

          public void halt()

      Specified by:
        `halt` in interface `org.kie.api.runtime.rule.RuleRuntime`

    - #### openLiveQuery

          public org.kie.api.runtime.rule.LiveQuery openLiveQuery(String query,
                                                                  Object[] arguments,
                                                                  org.kie.api.runtime.rule.ViewChangedEventListener listener)

      Specified by:
        `openLiveQuery` in interface `org.kie.api.runtime.rule.RuleRuntime`

    - #### getEntryPointId

          public String getEntryPointId()

      Specified by:
        `getEntryPointId` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getFactCount

          public long getFactCount()

      Specified by:
        `getFactCount` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getFactHandle

          public org.kie.api.runtime.rule.FactHandle getFactHandle(Object object)

      Specified by:
        `getFactHandle` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getFactHandles

          public <T extends org.kie.api.runtime.rule.FactHandle> Collection<T> getFactHandles()

      Specified by:
        `getFactHandles` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getFactHandles

          public <T extends org.kie.api.runtime.rule.FactHandle> Collection<T> getFactHandles(org.kie.api.runtime.ObjectFilter filter)

      Specified by:
        `getFactHandles` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getObject

          public Object getObject(org.kie.api.runtime.rule.FactHandle factHandle)

      Specified by:
        `getObject` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getObjects

          public Collection<Object> getObjects()

      Specified by:
        `getObjects` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### getObjects

          public Collection<Object> getObjects(org.kie.api.runtime.ObjectFilter filter)

      Specified by:
        `getObjects` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### insert

          public org.kie.api.runtime.rule.FactHandle insert(Object object)

      Specified by:
        `insert` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### retract

          public void retract(org.kie.api.runtime.rule.FactHandle handle)

      Specified by:
        `retract` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### delete

          public void delete(org.kie.api.runtime.rule.FactHandle handle)

      Specified by:
        `delete` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### delete

          public void delete(org.kie.api.runtime.rule.FactHandle handle,
                             org.kie.api.runtime.rule.FactHandle.State fhState)

      Specified by:
        `delete` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### update

          public void update(org.kie.api.runtime.rule.FactHandle handle,
                             Object object)

      Specified by:
        `update` in interface `org.kie.api.runtime.rule.EntryPoint`

    - #### addEventListener

          public void addEventListener(org.kie.api.event.rule.RuleRuntimeEventListener listener)

      Specified by:
        `addEventListener` in interface `org.kie.api.event.rule.RuleRuntimeEventManager`

    - #### addEventListener

          public void addEventListener(org.kie.api.event.rule.AgendaEventListener listener)

      Specified by:
        `addEventListener` in interface `org.kie.api.event.rule.RuleRuntimeEventManager`

    - #### getAgendaEventListeners

          public Collection<org.kie.api.event.rule.AgendaEventListener> getAgendaEventListeners()

      Specified by:
        `getAgendaEventListeners` in interface `org.kie.api.event.rule.RuleRuntimeEventManager`

    - #### getRuleRuntimeEventListeners

          public Collection<org.kie.api.event.rule.RuleRuntimeEventListener> getRuleRuntimeEventListeners()

      Specified by:
        `getRuleRuntimeEventListeners` in interface `org.kie.api.event.rule.RuleRuntimeEventManager`

    - #### removeEventListener

          public void removeEventListener(org.kie.api.event.rule.RuleRuntimeEventListener listener)

      Specified by:
        `removeEventListener` in interface `org.kie.api.event.rule.RuleRuntimeEventManager`

    - #### removeEventListener

          public void removeEventListener(org.kie.api.event.rule.AgendaEventListener listener)

      Specified by:
        `removeEventListener` in interface `org.kie.api.event.rule.RuleRuntimeEventManager`

    - #### getLastIdleTimestamp

          public long getLastIdleTimestamp()

      Specified by:
        `getLastIdleTimestamp` in interface `org.drools.core.common.InternalKnowledgeRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          org.kie.internal.process.CorrelationKey correlationKey,
                                                                          Map<String,Object> parameters)

      Specified by:
        `startProcess` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### createProcessInstance

          public org.kie.api.runtime.process.ProcessInstance createProcessInstance(String processId,
                                                                                   org.kie.internal.process.CorrelationKey correlationKey,
                                                                                   Map<String,Object> parameters)

      Specified by:
        `createProcessInstance` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)

      Specified by:
        `getProcessInstance` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.kie.api.runtime.KieSession`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.